Bug 994252 - Should return a more human friendly error when there is no more space on the storage device
Should return a more human friendly error when there is no more space on the ...
Status: NEW
Product: Gluster-Swift
Classification: Community
Component: object-server (Show other bugs)
1.9.1
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Michael Adam
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 17:36 EDT by Luis Pabón
Modified: 2016-11-08 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis Pabón 2013-08-06 17:36:26 EDT
Description of problem:
I tried verifying that I get a 507 returned, but instead I get a 503.

Setup:

    fill up /mnt/gluster-storage/test/container
    Create a 100MG file called 100m.img
    curl -v -X PUT -H 'X-Auth-Token: <you need to get your own token>' -T 100m.img http://127.0.0.1:8080/v1/AUTH_test/myfile2/a
    About to connect() to 127.0.0.1 port 8080 (#0)
    Trying 127.0.0.1...
    Connected to 127.0.0.1 (127.0.0.1) port 8080 (#0)
    > PUT /v1/AUTH_test/myfile2/a HTTP/1.1
    > User-Agent: curl/7.29.0
    > Host: 127.0.0.1:8080
    > Accept: */*
    > X-Auth-Token: AUTH_tk42adf371bba74dd7a58838a77abed512
    > Content-Length: 104857600
    > Expect: 100-continue
    >
    < HTTP/1.1 100 Continue
    We are completely uploaded and fine
    < HTTP/1.1 503 Internal Server Error
    < Last-Modified: Tue, 06 Aug 2013 04:02:30 GMT
    < Content-Length: 118
    < Content-Type: text/html; charset=UTF-8
    < Date: Tue, 06 Aug 2013 04:02:30 GMT
    < 

I suggest adding a test in test/unit/proxy/test_proxy.py which mocks the open call, then sends the python command over to the server. In response it should expect a 507.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.